LArSoft - Bug #23401

TStreamer Error While converting old data product to new
10/09/2019 11:24 AM - Jaydip Singh

Status: Accepted Start date: 10/09/2019
Priority: Normal Due date:

Assignee: % Done: 0%
Category: External Packages Estimated time: 0.00 hour
Target version: develop/HEAD Spent time: 0.00 hour
Occurs In: Co-Assignees:

Experiment: DUNE

Description

cet::exception caught in art
———— OtherArt BEGIN
—-——— EventProcessorFailure BEGIN
EventProcessor: an exception occurred during current event processing
—-——— EventProcessorFailure BEGIN
EndPathExecutor: an exception occurred during current event processing
———— ScheduleExecutionFailure BEGIN
Path: ProcessingStopped.
———— FatalRootError BEGIN
Fatal Root Error: @SUB=TStreamerInfo::BuildOld
Cannot convert recob::Trajectory::fPositions from type: vector<ROOT::Math::PositionVecto
r3D<ROOT: :Math::Cartesian3D<double>,ROOT: :Math::DefaultCoordinateSystemTag> > to type: vector<ROOT
::Math::PositionVector3D<ROOT: :Math::Cartesian3D<Double32_t>,RO0T: :Math::GlobalCoordinateSystemTag
> >, skip element
cet::exception going through module trackAna/trackAna run: 20000031 subRun: 1 event: 1
—-——— FatalRootError END
Exception going through path end_path
———— ScheduleExecutionFailure END
—-——— EventProcessorFailure END
—-——— EventProcessorFailure END
———— OtherArt END
$MSG
Art has completed and will exit with status 1.

History

#1 - 10/09/2019 11:29 AM - Jaydip Singh

Copy of response to original email query:

Hi Kyle, Tom, Jaydip,

I would refer you to the art stakeholders meeting slides describing the resolution to the problem described in issue 23013. Unfortunately, based
on the error message you relate below, you are not having trouble specifically with the double -> Double32_t aspect of the schema evolution
here. The data product you're having trouble with had two relevant changes: a nested object changed from
vector<ROOQOT::Math::PositionVector3D<ROOT ::Math::Cartesian3D<double>,ROOT::Math::DefaultCoordinateSystemTag> > to
vector<ROQOT::Math::PositionVector3D<ROOT ::Math::Cartesian3D<double>,ROOT::Math::GlobalCoordinateSystemTag> >, and then
subsequently to vector<ROOT::Math::PositionVector3AD<ROOT::Math::Cartesian3D<Double32_t>,RO0T::Math::GlobalCoordinateSystemTag> >
(changes in red / bold). The latter change is the one that has been resolved in the current LArSoft by updating to a recent ROOT and removing
the related 1/O rule entirely; unfortunately your data file is sufficiently old that the former change must also be accounted for, and that is an
aspect of the ROOT issue https:/sft.its.cern.ch/jira/projects/ROOT/issues/ROOT-10271 that has not been addressed to date.

| have CC'd the ROOT developer currently working on the problem. Please enter a Redmine issue with the full specifics of the problem, and | will
add a reference to it in the upstream ROOT issue.

We are sorry that you are experiencing this, but the TL;DR is that you will be unable to read these older files with ROOT >= 6.16/00 until the
underlying ROOT issue is fixed. While understood as urgent by the ROOT developers, there is not currently a timeline for resolving this.

Best,

Chris.
#2 - 10/14/2019 01:11 PM - Christopher Green
- Status changed from New to Accepted

- Description updated

#3 - 10/14/2019 01:15 PM - Christopher Green
- Assignee deleted (Kyle Knoepfel)

We will escalate this with the ROOT team. Philippe was notified upon receipt of the original email last week, and now there is a ticket in the Redmine
system it will be added to the JIRA ticket.
